Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.tutorial.util
Class ParseSkypeKitVersion

    java.lang.Object
      com.skype.tutorial.util.ParseSkypeKitVersion

    public class ParseSkypeKitVersion

extends java.lang.Object

Tutorial SkypeKit Version Parse Object. Encapsulates obtaining and parsing of the SkypeKit version string returned by com.skype.api.Skype.GetVersionString.
The default constructor obtains a temporary Skype instance; the "normal" constructor accepts an existing Skype instance.
Static methods enable you to obtain the:

- major version number
- minor version number
- patch version number

Since:
  1.0
Author:
  Andrea Drane

Field Summary
`static java.lang.String` | `MY_CLASS_TAG` Info/Debug console output message prefix/identifier tag prefix.
`protected static int` | `versionNumCnt` Number of components in the version number string.
`protected static java.lang.String[]` | `versionNums` Parsed array of the individual component version numbers.
`protected static java.lang.String` | `versionStr` The SkypeKit version string, as returned by com.skype.api.Skype.GetVersionString.

Constructor Summary
`ParseSkypeKitVersion(MySkype mySkype)` Default constructor.

Method Summary
`int` | `getMajorVersion()` Obtain the major SkypeKit version number.
`int` | `getMinorVersion()` Obtain the minor SkypeKit version number.
`int` | `getPatchVersion()` Obtain the patch SkypeKit version number.
`java.lang.String` | `getVersionStr()` Obtain the complete unparsed version string exactly as as returned by com.skype.api.Skype.GetVersionString

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MY_CLASS_TAG

    public static final java.lang.String MY_CLASS_TAG

  Info/Debug console output message prefix/identifier tag prefix. Corresponds to class name.

  Since:
    1.0
  See Also:
    Constant Field Values

### versionStr

    protected static java.lang.String versionStr

  The SkypeKit version string, as returned by com.skype.api.Skype.GetVersionString.

  Since:
    1.0

### versionNumCnt

    protected static final int versionNumCnt

  Number of components in the version number string.

  Since:
    1.0
  See Also:
    Constant Field Values

### versionNums

    protected static java.lang.String[] versionNums

  Parsed array of the individual component version numbers.

  Since:
    1.0

Constructor Detail

### ParseSkypeKitVersion

    public ParseSkypeKitVersion(MySkype mySkype)

  Default constructor.
  Obtain the skypeKit version string, for example:

       2.0/windows-x86-skypekit-novideo_3.1.0.2689_125068

  and:
  - store it in `versionStr`
  - split it at the underscores, yielding "2.0/windows-x86-skypekit-novideo", "3.1.0.2689", and "125068"
  - split the version number segment at the periods, yielding "3", "1", "0", and "2689"
  - store the version number components in `versionNums`

  Since:
    1.0

Method Detail

### getVersionStr

    public java.lang.String getVersionStr()

  Obtain the complete unparsed version string exactly as as returned by com.skype.api.Skype.GetVersionString

  Returns:
    The unparsed SkypeKit version string.
  Since:
    1.0

### getMajorVersion

    public int getMajorVersion()

  Obtain the major SkypeKit version number.

  Returns:
    The major SkypeKit version number, for example, ,code>2.0/windows-x86-skypekit-novideo_3.1.0.2689_125068 would return 3.
  Since:
    1.0

### getMinorVersion

    public int getMinorVersion()

  Obtain the minor SkypeKit version number.

  Returns:
    The minor SkypeKit version number, for example, ,code>2.0/windows-x86-skypekit-novideo_3.1.0.2689_125068 would return 1 (one).
  Since:
    1.0

### getPatchVersion

    public int getPatchVersion()

  Obtain the patch SkypeKit version number.

  Returns:
    The patch SkypeKit version number, for example, ,code>2.0/windows-x86-skypekit-novideo_3.1.0.2689_125068 would return 0 (zero).
  Since:
    1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD